%global npmname triple-beam

Name:           nodejs-%{npmname}
Version:        1.3.0
Release:        1%{?dist}
Summary:        Definitions of levels for logging purposes, shareable Symbol constants

License:        MIT
URL:            https://www.npmjs.com/package/%{npmname}

Source0:        https://github.com/winstonjs/triple-beam/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  nodejs-packaging

BuildRequires:  mocha
BuildRequires:  nodejs-assume

BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
Definitions of levels for logging purposes and shareable Symbol constants.

%prep
%autosetup -n %{npmname}-%{version}

%build
# Nothing to build, this is a noarch package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npmname}
cp -a index.js config/ %{buildroot}%{nodejs_sitelib}/%{npmname}/
cp -a package.json %{buildroot}%{nodejs_sitelib}/%{npmname}/

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

mocha test.js

%files
%{nodejs_sitelib}/%{npmname}/
%license LICENSE
%doc README.md

%changelog
* Tue Apr 28 2020 Ben Rosser <rosser.bjr@gmail.com> - 1.3.0-1
- Initial package for Fedora.
